### Method

# Xdp Portal prepare_print

#### Declaration [src]

    void
    xdp_portal_prepare_print (
      XdpPortal* portal,
      XdpParent* parent,
      const char* title,
      GVariant* settings,
      GVariant* page_setup,
      XdpPrintFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Presents a print dialog to the user and returns print settings and page setup.

When the request is done, `callback` will be called. You can then call `xdp_portal_prepare_print_finish()` to get the results.

#### Parameters

`parent`

  Type: `XdpParent`

  Parent window information.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`title`

  Type: `const char*`

  Tile for the print dialog.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`settings`

  Type: `GVariant`

  Serialized print settings.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`page_setup`

  Type: `GVariant`

  Serialized page setup.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `XdpPrintFlags`

  Options for this call.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.